WP5FontGroup Class Reference documentation

WP5FontGroup Class Reference

`#include <WP5FontGroup.h>`

Inheritance diagram for WP5FontGroup:

## Public Member Functions
| WP5FontGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | parse (WP5Listener *listener) override
Public Member Functions inherited from WP5VariableLengthGroup
| WP5VariableLengthGroup ()
| ~WP5VariableLengthGroup () override
Public Member Functions inherited from WP5Part
virtual | ~WP5Part ()

## Protected Member Functions
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
Protected Member Functions inherited from WP5VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getSubGroup () const
unsigned short | getSize () const

## Private Attributes
unsigned char | m_red
unsigned char | m_green
unsigned char | m_blue
unsigned char | m_fontNumber
double | m_fontSize

## Additional Inherited Members
Static Public Member Functions inherited from WP5VariableLengthGroup
static WP5VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
Static Public Member Functions inherited from WP5Part
static WP5Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)

## Constructor & Destructor Documentation

## ◆ WP5FontGroup()

WP5FontGroup::WP5FontGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

## Member Function Documentation

## ◆ _readContents()

void WP5FontGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )
| overrideprotectedvirtual

Reimplemented from WP5VariableLengthGroup.

## ◆ parse()

void WP5FontGroup::parse | ( | WP5Listener * | listener | ) |
| overridevirtual

Implements WP5Part.

## Member Data Documentation

## ◆ m_blue

unsigned char WP5FontGroup::m_blue
| private

Referenced by _readContents(), parse(), and WP5FontGroup().

## ◆ m_fontNumber

unsigned char WP5FontGroup::m_fontNumber
| private

Referenced by _readContents(), parse(), and WP5FontGroup().

## ◆ m_fontSize

double WP5FontGroup::m_fontSize
| private

Referenced by _readContents(), parse(), and WP5FontGroup().

## ◆ m_green

unsigned char WP5FontGroup::m_green
| private

Referenced by _readContents(), parse(), and WP5FontGroup().

## ◆ m_red

unsigned char WP5FontGroup::m_red
| private

Referenced by _readContents(), parse(), and WP5FontGroup().

The documentation for this class was generated from the following files:

- WP5FontGroup.h
- WP5FontGroup.cpp